// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    maintainer
//                  maintainer@somewhere.net

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define subscriberCompdef_Subscriber_impl_BODY

/************************************************************
 Subscriber_impl class body
 ************************************************************/

// include associated header file
#include "subscriberCompdef/Subscriber_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace subscriberCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
Subscriber_impl::Subscriber_impl(rclcpp::NodeOptions /*in*/options) :
    Subscriber(options) {
}

/**
 * 
 * @param commobj 
 */
void Subscriber_impl::fListening(
    const simple_msgs::msg::Map::SharedPtr /*in*/commobj) {
}

} // of namespace subscriberCompdef

/************************************************************
 End of Subscriber_impl class body
 ************************************************************/
